Package com.sas.lsaf.content.workspace

## Class WorkspaceFile

- java.lang.Object
- - com.sas.lsaf.content.workspace.WorkspaceItem
  - - com.sas.lsaf.content.workspace.WorkspaceFile

- All Implemented Interfaces:
    `java.io.Serializable`

      public class WorkspaceFile
      extends WorkspaceItem

  The representation of a file in the user's workspace.
  Since:
    2.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkspaceFile​(java.lang.String path, java.util.Date lastModifiedDate, long size)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `long` | `getSize()` | Gets the size of the workspace file in bytes.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.content.workspace.WorkspaceItem

      `getLastModifiedDate, getPath`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkspaceFile

          public WorkspaceFile​(java.lang.String path,
                               java.util.Date lastModifiedDate,
                               long size)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the workspace files returned by the API.
      Parameters:
        `path` - the path of the file in the workspace.
        `lastModifiedDate` - the date on which the file was last modified.
        `size` - the size of the file.

  - ### Method Detail

    - #### getSize

          public long getSize()

      Gets the size of the workspace file in bytes.
      Returns:
        The size of the workspace file in bytes.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `WorkspaceItem`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `WorkspaceItem`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `WorkspaceItem`